## unifont 6.3.20131221-1%2bfremantle0

=== debian/changelog ===
unifont (1:6.3.20131221-1+fremantle0) unstable; urgency=low

  * Initial port for Fremantle

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Sun,  3 Aug 2014 09:25:32 +0200

unifont (1:6.3.20131221-1) unstable; urgency=medium

  * debian/control:
    - Added Build-Depends-Indep entries in unifont entry for
      fontforge and xfonts-utils, removing them from Build-Depends.
      (Also adding build-indep target in debian/rules to match.)
    - Simplified Build-Depends entry for debhelper to be >= 9.
  * debian/rules:
    - override_dh_auto_build-indep: new target.
    - override_dh_auto_build-arch: new target.
    - Removed override_dh_auto_build target.
  * debian/unifont-bin.doc-base:
    - Title: Added "and Reference" "GNU Unifont Utilities Tutorial".
    - Added to Abstract.
    - Added entries for unfont.info.gz and unifont.pdf.gz.
  * debian/unifont-bin.docs: removed ChangeLog.  Its contents
    now get added to debian/changelog after the debian/ entries.
  * ChangeLog: corrected date on last entry from 12-27 to 12-17.
  * Makefiles: updated date for new release.
  * font/hexsrc/unifont-base.hex: Modified glyphs to appear better
    in APL: U+22F8, U+233B, U+233E, U+235B, and U+2364.
  * font/ttfsrc/Makefile: commented out SetFontNames function calls
    in fontforge.  Not all applications were interpreting that data
    correctly.  For example, in LibreOffice, it listed the font as
    the foundry name ("GNU") rather than the foundry name plus the
    font name ("GNU Unifont") or just the font name.  That is a bug
    in LibreOffice, so if such things are fixed in the future then
    these calls can be re-introduced.
  * src/hex2bdf:
    - Rearranged some properties (cosmetic change).
    - Changed default font name from "unifont" to "Unifont".
  * src/unigencircles.c: changed subscript from MAXSTRING to
    MAXSTRING-1 at line 61.

 -- Paul Hardy <unifoundry@unifoundry.com>  Fri, 20 Dec 2013 20:31:46 -0800

unifont (1:6.3.20131217-1) unstable; urgency=medium

  * debian/control: moved unifont Build-Depends-Indep entries for
    xfonts-utils and fontforge to Build-Depends.  (Closes: #732381)
  * Switched to upstream version 6.3.20131217.
  * doc/Makefile: removed redirection of texi2pdf output.
  * doc/unifont.pdf: rebuilt file.
  * font/Makefile:
    - Don't modify PCF fonts with FontForge, which alters them
      so grub-mkfont can't read them.
    - In font/compiled, insert $(VERSION) into unifont.sfd name.
  * font/ttfsrc/Makefile (clean): remove *.bdf, so unifont_sample.bdf
    is removed.
  * README: removed date stamp at top of file.

 -- Paul Hardy <unifoundry@unifoundry.com>  Tue, 17 Dec 2013 19:05:43 -0800

unifont (1:6.3.20131215-1) unstable; urgency=low

  * Switched to upstream version 6.3.20131215.
    (Closes: #698191, #698194, #727309)
    (LP: #1231173)
  * debian/compat: now set to "9".
  * debian/control:
    - unifont source package now Build-Depends on debhelper (>= 9.0).
    - Standards-Version updated to 3.9.5.
    - Removed redundant "Section: fonts" entries.
    - Added Suggests to unifont-bin for texinfo package, to run makeinfo
      and texi2pdf if someone wants to change the source documents.
    - Updated Description fields to reflect the installation of the
      special-purpose font "Unifont Sample" alongside the standard font
      "Unifont".
  * debian/copyright - updated to reflect new licensing arrangements.
  * debian/README.Debian - removed an extraneous "the".
  * debian/rules: Now builds with "dh" instead of the old debhelper scripts.
  * debian/unifont-bin.doc-base: old "unifont-intro.txt" is now "unifont.txt".
  * debian/unifont-bin.docs: added new document files for binary package.
  * debian/unifont-bin.info: added to support new Texinfo documentation.
  * debian/unifont-bin.lintian-overrides: override a probable false positive
    complaint about hardening.  All binaries are built with the very same
    flags, and lintian only complains about hardening in one of those programs.
  * src/unihex2png: new program to convert unifont.hex to PNG image.
  * src/unipng2hex: new program to convert PNG image to unifont.hex.
  * src/hex2bdf:
    - Added new XLFD properties for font generation for FreeType and
      grub-mkfont support; includes version & copyright info.
    - Fields now begin with upper-case, including "unifont"-->"Unifont".
    - Changed POINT_SIZE property from 160 to 120.
    - Added "Sans" style name to FONT string plus XLFD property.
    - Added command line options for font name, version, & glyph height.
    - Allow generation of fonts with other than 16 pixel rows/glyph, to
      support new capabilities of unihex2png, unipng2hex, and hexdraw.
  * src/unidup.c: now takes an optional file name on the command line.
  * src/*.c: reformatted to follow GNU Coding Standards.
  * man/*: Updated man pages to reflect new options, new programs,
    and to reflect the GPLv2+ license now common to all programs.
  * doc/: new directory with Texinfo files.
  * ChangeLog: created new file.
  * COPYING: created new file.
  * INSTALL: file created using BUILDING section from old README file.
  * LICENSE: removed; its contents are in README and COPYING now.
  * NEWS: created new file.
  * Makefiles: added "SHELL = /bin/sh" if not already declared.
  * Makefiles (distclean): added removal of "*~" if not already declared.
  * Makefile: compress text files with "gzip -f -9" during installation.
  * font/Makefile: fontforge scripting updated; now adds font copyright,
    license, version and other info to PCF files.
  * font/hexsrc/unifont-base.hex:
    - Redrew several Armenian letters (U+0530..U+058F).
    - Redrew Capricorn symbol (U+2651).
    - Redrew CJK Radical Supplement glyphs: U+2E9F, U+2EA9, U+2EAC,
      U+2EAE, U+2EC0, U+2EDE, U+2EE7, and U+2EED.
  * font/ttfsrc/Makefile: fontforge scripting command changed from
    "Simplify(-1,1)" to "Simplify(64,1)" to "merge lines which are

