=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Examine a Webserver directory
ftp://ftp.gnu.org/gnu/unifont/unifont-([\d\.]+)/unifont-([\d\.]+)\.tar\.gz
