=== debian/changelog ===
unifont (1:6.3.20140214-1) unstable; urgency=medium

  * debian/copyright:
    - Include reference to GNU Free Documentation License reference 1.3.
      (Closes: 738836)
    - Separately list authors of non-Basic Multilingual Plane Unicode and
      ConScript Unicode Registry (CSUR) scripts.

 -- Paul Hardy <unifoundry@unifoundry.com>  Fri, 14 Feb 2014 08:30:41 -0800

unifont (1:6.3.20140204-1) unstable; urgency=medium

  * Switch to dpkg-source "3.0 (quilt)" format, to allow storing
    public key in debian/upstream-signing-key.pgp for debian/watch.
  * debian/control:
    - Removed a spurious "the" in Description of unifont-bin.
    - Added psf-unifont package, to install PSF (console) font.
  * debian/psf-unifont: created file, to install new PSF font version.
  * debian/README.Debian: added mention of new psf-unifont package.
  * debian/rules:
    - Changed "font/hexsrc" to "font/plane00" in comments.
  * debian/source/include-binaries: created file and added the line
    "debian/upstream-signing-key.pgp".
  * debian/source/format: changed to "3.0 (quilt)".
  * debian/upstream-signing-key.pgp: created file with GPG public key.
  * debian/watch: prepended "opts=pgpsigurlmangle=s/$/.sig/" to watch
    file pattern, to verify GPG signatures of new upstream tarballs.
  * debian/changelog: inserted "after" in Title description for
    debian/unifont-bin.doc-base.

 -- Paul Hardy <unifoundry@unifoundry.com>  Tue, 04 Feb 2014 18:05:57 -0800
