=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: fonts
 Priority: optional
 Maintainer: Paul Hardy <unifoundry@unifoundry.com>
-Build-Depends: debhelper7, maemo-optify
-Build-Depends-Indep: fontforge, xfonts-utils
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: fontforge, xfonts-utils, console-setup, bdf2psf
 Standards-Version: 3.9.5
 Homepage: http://unifoundry.com
 
 Package: unifont
 Architecture: all
-Depends: xfonts-unifont, ttf-unifont, xfonts-utils, ${misc:Depends}
+Depends: xfonts-unifont, ttf-unifont, psf-unifont, xfonts-utils, ${misc:Depends}
 Replaces: unifont-bin (<< 1:5.1.20080706-1)
 Suggests: unifont-bin
 Description: font with a glyph for each visible Unicode Plane 0 character
@@ -84,13 +84,34 @@
  The philosophy behind this font, though, is that anything meaningful
  is better than an empty box for a unknown glyph.
 
+Package: psf-unifont
+Architecture: all
+Depends: console-setup, bdf2psf, ${misc:Depends}
+Suggests: ttf-unifont
+Description: PSF (console) version of GNU Unifont with APL support
+ This contains a PSF font (Unifont-APL8x16.psf) as a console frame
+ buffer font with a subset of Unifont for use with GNU APL and other
+ APL implementations.  The font is installed in "/usr/share/consolefonts/".
+ This PSF font is only suitable for running in console mode, not under the
+ X Window System.
+ .
+ A PSF font allows a maximum of 512 glyphs.  The glyph subset in this
+ font includes ASCII, Latin-1, "oe" and "OE" ligatures for French, the
+ Euro sign, Unicode Box Drawing, Unicode Block Elements, plus various
+ glyphs for APL support and some other miscellaneous glyphs.  The font
+ is monospaced, 8 pixels wide by 16 pixels tall.
+ .
+ Consider using the TrueType version instead (ttf-unifont) if you are
+ not running in console mode, because that version is scalable to any
+ point size and has proper combining character support.
+
 Package: unifont-bin
 Section: x11
 Architecture: any
 Depends: xfonts-utils, fontforge,
  ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Suggests: unifont, texinfo
-Description: utilities for manipulating the GNU Unifont
+Description: utilities for manipulating GNU Unifont
  This is a set of Perl scripts, C programs, and FontForge scripts
  to manipulate Roman Czyborra's GNU Unifont ".hex" format font
  files.  GNU Unifont has a Unicode-compatible font structure.
