## unifont 7.0.03

=== debian/changelog ===
unifont (1:7.0.03-1) unstable; urgency=medium

  * debian/changelog: Note: there was no 1:7.0.01 Debian release; a
    bug was discovered in font/Makefile shortly after it was created.
    There was also no 1:7.0.02 Debian release, because that version
    was missing a man page for unihexfill.  See ChangeLog for details.
    This release addresses both of those issues.
  * debian/control:
    - Added libwx-perl and libgd-gd2-noxpm-perl Depends entries to
      unifont-bin and libgd-gd2-noxpm-perl Build-Depends-Indep entry
      for unifont to support the new unifont-viewer and unihex2png
      Perl scripts.
    - Removed unifont source package Dependency on console-setup; it
      wasn't needed.
  * debian/copyright:
    - Now formatted in UTF-8 to spell non-ASCII names of contributors
      correctly.
    - Updated to reflect new contributors as of the Unicode 7.0 release
      (that is, as of this Debian release).
  * Added a patch to add man/unifont-viewer.1 to the list of MAN1PAGES
    in man/Makefile, so it will get installed.

 -- Paul Hardy <unifoundry@unifoundry.com>  Tue, 01 Jul 2014 22:26:22 -0700
