=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Paul Hardy <unifoundry@unifoundry.com>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: fontforge, xfonts-utils, console-setup, bdf2psf
+Build-Depends-Indep: fontforge, xfonts-utils, bdf2psf, libgd-gd2-noxpm-perl
 Standards-Version: 3.9.5
 Homepage: http://unifoundry.com
 
@@ -108,8 +108,8 @@
 Package: unifont-bin
 Section: x11
 Architecture: any
-Depends: xfonts-utils, fontforge,
- ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: xfonts-utils, fontforge, ${shlibs:Depends}, ${misc:Depends},
+ ${perl:Depends}, libwx-perl, libgd-gd2-noxpm-perl
 Suggests: unifont, texinfo
 Description: utilities for manipulating GNU Unifont
  This is a set of Perl scripts, C programs, and FontForge scripts
